- Qt 6.10
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QSeamlessCubemap
- Qt 6.10.2 Reference Documentation

# Qt3DRender::QSeamlessCubemap Class

class Qt3DRender::QSeamlessCubemap

Enables seamless cubemap texture filtering. More...

Header: | `#include <QSeamlessCubemap>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | SeamlessCubemap
Inherits: | Qt3DRender::QRenderState
Status: | Deprecated

- List of all members, including inherited members

## Public Functions

| QSeamlessCubemap(Qt3DCore::QNode *parent = nullptr)

## Detailed Description

When present in a state set, enables the seamless cubemap texture filtering as provided by the GL_ARB_seamless_cubemap extension (if available).

## Member Function Documentation

### `[explicit]` QSeamlessCubemap::QSeamlessCubemap(Qt3DCore::QNode *parent = nullptr)

The constructor creates a new QSeamlessCubemap::QSeamlessCubemap instance with the specified parent.